main {
    display: flex;
}
  
article {
    flex: 1;
    padding: 20px;
    box-sizing: border-box;
}

@media (max-width: 600px) {
main {
    flex-direction: column;
    
}

nav {
flex-shrink: 0;
order: 3;
}
}

